11. preferencesSheet
Prev | Chapter 4. Reference | Next

## 11. preferencesSheet

    <preferencesSheet
      name = NMTOKEN
    >
      Content: class
    </preferencesSheet>

    <class>
      Content: Java class name
    </class>

Specifies a preferences sheet, that is, an instance of class `com.xmlmind.xmleditapp.dialog.PreferencesSheet`.

The class derived from `com.xmlmind.xmleditapp.dialog.PreferencesSheet` is specified by the `class` child element.

Attributes:

name

  Required. Unique name identifying the sheet in this GUI specification.

Example:

      <preferencesSheet name="windowOptions">
        <class>com.xmlmind.xmleditapp.app.prefsheet.WindowOptions</class>
      </preferencesSheet>

Prev | Up | Next
10.1. Bean properties | Home | 12. preferencesSheets